import { Component, OnInit } from '@angular/core';
import {UserService} from "../user.service";
import { Http, Response } from "@angular/http";
import 'rxjs/add/operator/map'
import 'rxjs/add/operator/catch';
import { Observable } from "rxjs/Observable";
import {User} from "../user";


@Component({
  selector: 'app-user-list',
  templateUrl: './user-list.component.html',
  styleUrls: ['./user-list.component.css'],
  providers: [UserService]
})
export class UserListComponent implements OnInit {


   users: User[];

  constructor(private userService: UserService) { }

  ngOnInit() {
     this.getAllUsers();
    //this.users = [new User("tst1", 'pwd1'), new User("tst2", 'pwd2')]
  }

  getAllUsers() {
    this.userService.findAll().subscribe(
      users => {
        this.users = users;
      },
      err => {
        console.log(err);
      }

    );
  }


}
